<?php
require_once 'vendor/autoload.php';
use CoinbaseCommerce\ApiClient;
use CoinbaseCommerce\Resources\Charge;

ApiClient::init('4c514d38-f187-41c7-ba1e-9bf449d5345e');

function recuperarCargo($id){
	try {
		$retrieveCharge = Charge::retrieve($id);
		echo '<pre style="height:50vh; border: 1px solid #000;overflow:auto;padding:5px;margin:10px;">'.print_r($retrieveCharge,true).'</pre>';

		if (isset($retrieveCharge->payments[0]['status'])) {
			echo "Estado del pago: CONFIRMADO (ID: $id)<br>";
		}else {
			echo "Estado del pago: IMPAGO (ID: $id)<br>";
		}
	} catch (\Exception $th) {
		echo "Error: " . $th->getMessage();
	}
}
recuperarCargo($_GET['id']); // Reemplaza con un ID de cargo válido